Summary: HDHomeRun configuration utility
Name: hdhomerun
Version: 20150826
Release: %mkrel 1
License: LGPLv3+
Group: Video
URL: http://www.silicondust.com/
Source0: http://www.silicondust.com/support/hdhomerun/downloads/linux/libhdhomerun_%{version}.tar.xz
Source1: http://www.silicondust.com/support/hdhomerun/downloads/linux/hdhomerun_config_gui_%{version}.tar.xz
Source2: hdhomerun_config_gui.png
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: %{_lib}gtk+2.0_0-devel
Requires: vlc

%description
libhdhomerun contains the configuration and firmware upgrade
utility for the Silicon Dust HDHomeRun Networked Digital TV Tuner.

%package -n hdhomerun_config_gui
Summary: HDHomeRun Config GUI
License: GPLv3
Group: Video
URL: http://www.silicondust.com/
Requires: hdhomerun = %{version}

%description -n hdhomerun_config_gui
hdhomerun_config_gui contains the configuration GUI for the Silicon
Dust HDHomeRun Networked Digital TV Tuner.

%prep
%setup -q -n libhdhomerun -T -b 0
%setup -q -n hdhomerun_config_gui -T -b 1

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT install
%{__install} -m0755 ../libhdhomerun/hdhomerun_config $RPM_BUILD_ROOT%{_bindir}/

%{__install} -m 644 -p -D %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/hdhomerun_config_gui.png

mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=HDHomeRun Config
Comment=HDHomeRun Config GUI
Icon=hdhomerun_config_gui
Exec=hdhomerun_config_gui
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Multimedia-Video;AudioVideo;
EOF

%clean
%{__rm} -rf $RPM_BUILD_ROOT
%{__rm} -rf libhdhomerun

%post
/sbin/ldconfig
%update_menus
%update_desktop_database

%postun
/sbin/ldconfig
%clean_menus
%clean_desktop_database

%files
%defattr(-,root,root,-)
%doc ../libhdhomerun/README ../libhdhomerun/lgpl.txt
%{_bindir}/hdhomerun_config
%{_libdir}

%files -n hdhomerun_config_gui
%defattr(-,root,root,-)
%doc README AUTHORS ChangeLog COPYING INSTALL NEWS
%{_bindir}/hdhomerun_config_gui
%{_datadir}/pixmaps
%{_datadir}/applications

%changelog
* Sun Oct 11 2015 pp <pp> 20150826-1pclos2015
- update

* Thu Mar 19 2015 bb <bb> 20141210-1pclos2015
- update

* Sun Aug 17 2014 MBantz <martin dot bantz at gmail dot com> 20140604-1pclos2014
- Update to 20140604
- Removed patch

* Tue Dec 25 2012 Neal <nealbrks0 at gmail.com> 20120405-1pclos2012
- process

* Sat Oct 13 2012 MBantz <martin dot bantz at gmail dot com> 20120405
- Update

* Mon Jan 02 2012 MBantz <martin dot bantz at gmail dot com> 20111025-1pclos2011
- Adapted to 64 bit
- Added dependency to vlc to enable viewing channels

* Tue Aug 23 2011 MBantz <martin dot bantz at gmail dot com> 
- Packaged for PCLinuxOS from rpmpackaging at razorsedge dot org 20110830-1pclos2011
- Improved requires and overall spec

